package com.fuzamei.constant;

/**
 * 
 * @author ylx
 * @describe: 权限名称常量表
 * @date: 2017-12-28 10:12 am
 */
public class Permission {
	private Permission() {
		throw new AssertionError("禁止实例化");
	}
	public static final String ADD="添加";
	public static final String FIRST_TRIAL="初审";
	public static final String REEXAMINE="复审";
	public static final String UPLOAD_CONTRACT="上传合同";
	public static final String MODIFY_CONTRACT="修订合同";
	public static final String CONFIRM_CONTRACT="确认合同";
	public static final String SEND_TRANSFER_ORDER="发出划款指令";
	public static final String UPLOAD_VALUATION_REPORT="上传估值报表";
	public static final String OPEN_ACCOUNT="开立账户";
	public static final String CHECK_ACCOUNT_INFO="查看账户信息";
	public static final String FIRST_TRIAL_OF_TRANSFER_ORDER="初审划款指令";
	public static final String REEXAMINE_OF_TRANSFER_ORDER="复审划款指令";
	public static final String FINAL_CHECK_OF_TRANSFER_ORDER="划款指令";
	public static final String UPLOAD_PROJECT_FILE="上传项目文档";
	public static final String CHECK_PROJECT_FILE="查看项目文档";
	public static final String CHECK_INNER_CETIFICATION_FILE="验证文件是否是内部认证文档";
	public static final String SEND_VENTURE_LETTER="发风险提示函";
	public static final String CHECK_OUT="查看";
}
