package com.fuzamei.dao;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.fuzamei.entity.CapitalTransfer;
import com.fuzamei.entity.CapitalTransferCheck;
import com.fuzamei.entity.User;
import com.fuzamei.mapperInterface.CapitalTransferMapper;

@Repository
public class CapitalTransferDao {
	@Autowired
    private CapitalTransferMapper  capitalTransferMapper;
	
	
	public List<CapitalTransfer> selectCapitalTransferTable(Map<String, Object> map){//查询资金划转列表
		return capitalTransferMapper.selectCapitalTransferTable(map);
	}
	public int  selectCapitalTransferPage() {//查询资金划转表  总页数
		return  capitalTransferMapper.selectCapitalTransferPage() ;
	}
	public  List<CapitalTransfer> selectChaKanZiJinHuaZhuan(Map<String, Object> map){//资金划转    查看详情
		return capitalTransferMapper.selectChaKanZiJinHuaZhuan(map);
	}
	public  List<CapitalTransferCheck> selectCapitalTransferRecord(Map<String, Object> map){//资金划转 里审核记录   查看详情
		return capitalTransferMapper.selectCapitalTransferRecord(map);
	}
	/*public List<User> selectByPersonName(Map<String, Object> map) {//临时测试的
		return capitalTransferMapper.selectByPersonName(map);
	}*/
	public void insertCapitalTransfer(Map<String, Object> map) {//管理人  发起  划款资金
		capitalTransferMapper.insertCapitalTransfer(map);
	}
	
	public void insertCheckTransfer(Map<String, Object> map) {//将划转资金审核的意见插入到（划转资金审核表里）
		capitalTransferMapper.insertCheckTransfer(map);
	}
	public void updatecapitaltransferStatus(Map<String, Object> map) {//将划转审核结果意见在插入划转资金表的同时，也将审核结果更新到划转资金表中去，根据基金id 在修改指定的业务 
		capitalTransferMapper.updatecapitaltransferStatus(map);
	}
}
