package com.fuzamei.service;

import java.util.LinkedHashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.fuzamei.dao.TrueFalseSelectDao;

@Service
public class TrueFalseSelectService {

	   @Autowired
	   private TrueFalseSelectDao  trueFalseSelectDao;
	   
	   /**
		 * 真伪查询
		 * @param map
		 */
		@Transactional
		public void insertTrueFalseSelect(Map<String, Object> map) {
		    String attachment_id="";    //附件id
		    String attachment_name="";  //附件名称
		    String url="";              //附件url
		    String upload_person_id=""; //附件上传人的id
		    long create_time=0;         //附件添加的时间
		  
		    String fileName="";
			if (!"".equals(map.get("attachment_id")) && map.get("attachment_id") != null) { 
				attachment_id = (String) map.get("attachment_id");
			}
			if (!"".equals(map.get("attachment_name")) && map.get("attachment_name") != null) { 
				attachment_name = (String) map.get("attachment_name");
			}
			if (!"".equals(map.get("url")) && map.get("url") != null) { 
				url = (String) map.get("url");
			}
			if (!"".equals(map.get("upload_person_id")) && map.get("upload_person_id") != null) {   
				upload_person_id = (String) map.get("upload_person_id");
			}
			if (!"".equals(map.get("create_time")) && map.get("create_time") != null) { 
				create_time = (Long) map.get("create_time");
			}
		    
	         
			Map<String, Object> mapToDao = new LinkedHashMap<String, Object>();
			  mapToDao.put("attachment_id",Math.round(Math.random()*8999+1000000));//附件id  目前写随机数
			  mapToDao.put("attachment_name", attachment_name);//附件名称    
			  mapToDao.put("url", url);//附件url   后面有下载的   需要地址
			  mapToDao.put("upload_person_id", 223346);//附件人上传的id这里写的是死值   待修改
			  mapToDao.put("create_time", System.currentTimeMillis());//附件添加时间，这里应该写添加得到的当前系统时间  
			  trueFalseSelectDao.insertTrueFalseSelect(mapToDao);//把数据插入到 （附件表）里
			  
			//还要将真伪查询上传的这个操作信息插入到操作记录表中
			Map<String, Object> mapToOperationHistory = new LinkedHashMap<String,Object>();
				mapToOperationHistory.put("operatorTypeId", 1002);						//id应该是写死的目前
				mapToOperationHistory.put("operatorAccount", 600000289);				//操作账号先定死，到时候再改
				mapToOperationHistory.put("operatorRole", "经办支行8");					//创建这个操作的角色只能是经办支行
				mapToOperationHistory.put("operatorPerson", "张八");						//操作人先写死
				mapToOperationHistory.put("operatorTime", mapToDao.get("create_time")); //操作时间为当前操作时间
				mapToOperationHistory.put("hash", "222aa5d8c8c7s8s7");	                //写的时死值
				trueFalseSelectDao.insertOperationHistory(mapToOperationHistory);           //操作记录信息插入到操作记录表中     
		
		}
	
	
}
