package com.fuzamei.utils;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;

public class ExcelUtil {
	
	public static final boolean matchExcel(File file1,File file2){
		boolean flag=false;
		InputStream is=null;
		InputStream is2=null;
		Workbook wb=null;
		Workbook wb2=null;
		try {
			is = new FileInputStream(file1);
			is2 = new FileInputStream(file2);
		} catch (FileNotFoundException e2) {
			throw new RuntimeException("未找到文件");
		}
		try {
			wb=new XSSFWorkbook(is);
			wb2=new XSSFWorkbook(is2);
		} catch (IOException e) {
			try {
				wb=new HSSFWorkbook(is);
				wb2=new HSSFWorkbook(is2);
			} catch (IOException e1) {
				throw new RuntimeException("非Excel文件");
			}
		}
		Sheet sheet = wb.getSheet("Sheet1");
		Sheet sheet2 = wb2.getSheet("Sheet1");
		Row row = sheet.getRow(1);
		Row row2 = sheet2.getRow(1);
		Cell cell = row.getCell(0);
		Cell cell2 = row2.getCell(0);
		double numericCellValue = cell.getNumericCellValue();
		double numericCellValue2 = cell2.getNumericCellValue();
		flag = (numericCellValue==numericCellValue2);
		try {
			wb.close();
			wb2.close();
		} catch (IOException e) {
			throw new RuntimeException("流关闭异常");
		}
		
		return flag;
	}
	
}
