package com.fuzamei.dao;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.fuzamei.entity.ProjectFile;
import com.fuzamei.mapperInterface.ProjectFileMapper;

@Repository
public class ProjectFileDao {

	@Autowired
	private ProjectFileMapper projectFileMapper;

	public int findAllInformation(Map<String, Object> map) {
		return projectFileMapper.findAllInformation(map);
	}

	public List<ProjectFile> queryProjectFileInformation(Map<String, Object> mapToDao) {

		return projectFileMapper.queryProjectFileInformation(mapToDao);
	}

	public List<ProjectFile> checkoutProjectFiles(Map<String, Object> mapToDao) {
		return projectFileMapper.checkoutProjectFiles(mapToDao);
	}

	public void insertInformationIntoTable(Map<String, Object> mapToDao) {
		projectFileMapper.insertInformationIntoTable(mapToDao);
	}

	public void insertOperationHistoryInformationToDao(Map<String, Object> map) {
		projectFileMapper.insertOperationHistoryInformationToDao(map);
	}

	public void insertInformationToAttachment(Map<String, Object> map) {
		projectFileMapper.insertInformationToAttachment(map);
	}

}
