package com.fuzamei.dao;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.fuzamei.entity.ValuationAccount;
import com.fuzamei.mapperInterface.ValuationAccountingMapper;

@Repository
public class ValuationAccountingDao {
	
	@Autowired
	private ValuationAccountingMapper valuationAccountingMapper;

	public int findAllInformations(Map<String, Object> map) {
		return valuationAccountingMapper.findAllInformations(map);
	}

	public List<ValuationAccount> queryValuationAccountingInformation(Map<String, Object> map) {
		return valuationAccountingMapper.queryValuationAccountingInformation(map);
	}

	public void insertInformationIntoTableByAdmin(Map<String, Object> map) {
		valuationAccountingMapper.insertInformationIntoTableByAdmin(map);
	}

	public void updateInformationByBank(Map<String, Object> map) {
		valuationAccountingMapper.updateInformationByBank(map);
	}

	public void insertOperationHistoryInformationToDao(Map<String, Object> map) {
		valuationAccountingMapper.insertOperationHistoryInformationToDao(map);
	}

	public void insertInformationToAttachment(Map<String, Object> map) {
		valuationAccountingMapper.insertInformationToAttachment(map);
	}

	public List<ValuationAccount> checkoutDownloadInformation(int fundId) {
		return valuationAccountingMapper.checkoutDownloadInformation(fundId);
	}

	public int queryIfHasTheSameFundId(Integer fundId) {
		return valuationAccountingMapper.queryIfHasTheSameFundId(fundId);
	}

	public ValuationAccount checkIfFundExists(Integer fundId, String fundName) {
		return valuationAccountingMapper.checkIfFundExists(fundId,fundName);
	}

	public void updateInformationByAdmin(Map<String, Object> map) {
		valuationAccountingMapper.updateInformationByAdmin(map);
	}

	public void updateAttachmentInformationByAdmin(Map<String, Object> map) {
		valuationAccountingMapper.updateAttachmentInformationByAdmin(map);
	}

	public void updateAttachmentInformationByBank(Map<String, Object> map) {
		valuationAccountingMapper.updateAttachmentInformationByBank(map);
	}

	public int queryIfHasTheSameFundName(String fundName) {
		return valuationAccountingMapper.queryIfHasTheSameFundName(fundName);
	}

}
